class CreateComponentPermissions < ActiveRecord::Migration[6.0]
  def change
    create_table :component_permissions do |t|
      t.string :action_id
      t.string :target_id
      t.string :action_display_name
      t.string :target_display_name
      t.belongs_to :component, null: false, foreign_key: {on_delete: :cascade}

      t.timestamps
    end
  end
end
