task :licence, [:code] => :environment do |_, args|
  raise "Code must be provided" unless args[:code]

  # User's going to want to see any output from this
  Rails.logger = Logger.new($stdout)

  licence_info = LicenceInfo.where(legacy: false).first_or_initialize
  licence_info.licence_code = args[:code]
  licence_info.save

  LicenceInfo.get_latest_licence
end

task :force_token, [:token] => :environment do |_, args|
  # User's going to want to see any output from this
  Rails.logger = Logger.new($stdout)

  licence_info = LicenceInfo.where(legacy: false).first_or_initialize
  licence_info.licence_code = nil
  licence_info.licence_token = args[:token]
  licence_info.save
end
